%global srcname cycler

Name:           python-%{srcname}
Version:        0.12.1
Release:        %mkrel 3
Summary:        Cycle through lists in various ways (used by matplotlib)
Group:          Development/Python
License:        BSD
Source0:        https://github.com/matplotlib/cycler/archive/v%{version}/%{name}-%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
URL:            https://github.com/matplotlib/cycler
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-six
BuildRequires:  python3-pytest
%description
General purpose library used by matplotlib to cycle through lists for colors, marker styles,
etc.

%package -n python3-%{srcname}
Summary:        Cycle through lists in various ways (used by matplotlib)
Requires:       python3-six
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
General purpose library used by matplotlib to cycle through lists for colors, marker styles,
etc.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cycler

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%license LICENSE



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.12.1-3.mga10
+ Revision: 2239644
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 daviddavid <daviddavid> 0.12.1-2.mga10
+ Revision: 2156737
- rebuild for python 3.13

* Thu Jun 27 2024 papoteur <papoteur> 0.12.1-1.mga10
+ Revision: 2077258
- new version 0.12.1

* Fri Dec 08 2023 wally <wally> 0.12.0-2.mga10
+ Revision: 2015816
- rebuild for py3.12

* Tue Oct 17 2023 papoteur <papoteur> 0.12.0-1.mga10
+ Revision: 1998044
- new 0.12.0

* Thu Sep 29 2022 neoclust <neoclust> 0.11.0-1.mga9
+ Revision: 1893218
- New version 0.11.0

* Thu Mar 24 2022 umeabot <umeabot> 0.10.0-11.mga9
+ Revision: 1824692
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 0.10.0-10.mga9
+ Revision: 1773321
- Rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 0.10.0-9.mga9
+ Revision: 1703576
- rebuild for python 3.9

* Wed Apr 01 2020 wally <wally> 0.10.0-8.mga8
+ Revision: 1563894
- clean python2 leftovers from .spec

* Sun Feb 16 2020 umeabot <umeabot> 0.10.0-7.mga8
+ Revision: 1531357
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 tv <tv> 0.10.0-6.mga8
+ Revision: 1439594
- drop python2 subpkg
- rebuild for python-3.8

* Mon Jan 07 2019 tv <tv> 0.10.0-5.mga7
+ Revision: 1350497
- fix deps in %%description

* Mon Jan 07 2019 shlomif <shlomif> 0.10.0-4.mga7
+ Revision: 1350395
- rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.10.0-3.mga7
+ Revision: 1288562
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.10.0-2.mga7
+ Revision: 1135359
- Rebuild for python 3.6

* Sun Apr 24 2016 joequant <joequant> 0.10.0-1.mga6
+ Revision: 1005802
- fix build requires
- fix build requires
- imported package python-cycler

